Advertisement
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Release PocketMine-MP Alpha_1.4dev-413 beta3 is now available!

Comments in 'PocketMine News' started by shoghicp, Aug 10, 2014.

  1. shoghicp
    Offline

    shoghicp Staff Member PocketMine Team

    Joined:
    Aug 22, 2013
    Posts:
    436
    Plugins:
    14
    Minecraft User:
    shoghicp
    A new PocketMine-MP Beta Build has been released!
    Alpha_1.4dev-413 beta3, for Minecraft: PE v0.9.5 alpha

    Will plugins break?
    This beta changes the API version to 1.2.0 (backwards-compatible) due to changes in how level formats are handled, Thread management. All plugins that use API 1.0.0 or 1.1.0 are compatible and do not need changes. If your plugin works on API 1.0.0 or 1.1.0, please do not set the API version to 1.2.0, that will only refuse to load where it can work. If plugin developers have done everything right, no updates are needed to support this.

    Should I use this Beta Build?
    There are three types of builds: stable, beta and development. A beta build is meant for test servers, and plugin developers that want a more stable environment. If you are running a production server, it's recommended to stay away from these builds. If you really want to use it, please test on a separate server before doing the changes on the server.

    Where can I submit bugs?
    Please do not submit features not implemented. They will implemented in future beta builds, and doesn't help the developers. If there is a true bug you found, please submit it on the Bug Tracker. Please search in it for duplicated bugs. Do not request help or plugin support there. Provide as much information as you can, and keep titles short and informative.

    Notable changes
    This beta adds automatic server crash reporting to the Crash Archive, which has helped us to fix bugs even before they were reported. It also implements a new way to handle level formats, so it can support LevelDB (or other custom formats) in the future. McRegion has been set the default format, if you generate a new world CPU usage on player join will decrease. In this build, loaded chunks use 50% less memory than on older builds. Since they have to be loaded on several threads, this reduces memory usage up to four times. As a side effect of this work, void chunks have been fixed. Also, just before the release, RCON was patched and is working again :)

    For a more detailed changelog, check the details page

    Download PocketMine-MP Alpha_1.4dev-413 build3 here
    Direct PocketMine-MP_Alpha_1.4dev-413 phar download
    iJoshuaHD, iksaku, loginphp and 3 others like this.
  2. LDX
    Offline

    LDX Notable Member Plugin Developer

    Joined:
    Oct 2, 2013
    Posts:
    1,436
    Plugins:
    14
    Yay! Implement all the features!
  3. corbindavenport
    Offline

    corbindavenport New Member

    Joined:
    Aug 10, 2014
    Posts:
    2
    Minecraft User:
    Corbin052198
    I've been having problems with both the betas and development builds on my Raspberry Pi. No devices can connect to PocketMine running on my Raspberry Pi (tested an iPad, iPhone, and my Nexus 5). They all get stuck at 'Locating Server'.
  4. TheOddgamer98
    Offline

    TheOddgamer98 New Member

    Joined:
    Apr 15, 2014
    Posts:
    30
    Minecraft User:
    TheOddgamer
    And the Android version?? :/
  5. Dinokiller
    Offline

    Dinokiller Notable Member

    Joined:
    Sep 22, 2013
    Posts:
    376
    Minecraft User:
    Dinokiller_
    I had a similar problem. Are you using the latest build?
  6. Heroicguy23
    Offline

    Heroicguy23 New Member

    Joined:
    Aug 10, 2014
    Posts:
    2
    Minecraft User:
    Bayan_Chi
    Still not working for me! When i "Start" the server, this information shows up!

    [PocketMine] Server is starting...
    [PocketMine] Server was started.
    [Server]
    [Server] Warning: require_once(/storage/sdcard0/PocketMine/src/config.php): failed to open stream: No such file or directory in /storage/sdcard0/PocketMine/PocketMine-MP.php on line 24
    [Server]
    [Server] Fatal error: require_once(): Failed opening required '/storage/sdcard0/PocketMine/src/config.php' (include_path='.:') in /storage/sdcard0/PocketMine/PocketMine-MP.php on line 24
    [PocketMine] Server was stopped.
  7. Heroicguy23
    Offline

    Heroicguy23 New Member

    Joined:
    Aug 10, 2014
    Posts:
    2
    Minecraft User:
    Bayan_Chi
    I am using Android though... Fix this please!!
  8. luca28pet
    Offline

    luca28pet Active Member

    Joined:
    Feb 20, 2014
    Posts:
    251
    Minecraft User:
    luca28pet
    Does it support leveldb world format?
  9. corbindavenport
    Offline

    corbindavenport New Member

    Joined:
    Aug 10, 2014
    Posts:
    2
    Minecraft User:
    Corbin052198
    Yes, I tested it using the latest beta and alpha versions. My Pi has the latest packages as well.
  10. Asam Munye
    Offline

    Asam Munye New Member

    Joined:
    Oct 17, 2013
    Posts:
    40
    are you sure? even minecarts
  11. LDX
    Offline

    LDX Notable Member Plugin Developer

    Joined:
    Oct 2, 2013
    Posts:
    1,436
    Plugins:
    14
    I didn't say they did implement all the features, I was encouraging them to.
  12. Praxthisnovcht
    Offline

    Praxthisnovcht Notable Member Plugin Developer

    Joined:
    Mar 10, 2014
    Posts:
    702
    Plugins:
    4
    Minecraft User:
    PraxHellTag
    Nice Job !
    InfernoMiner55 likes this.
  13. MinecrafterJPN
    Offline

    MinecrafterJPN Active Member Plugin Developer

    Joined:
    Aug 26, 2013
    Posts:
    154
    Plugins:
    9
    Minecraft User:
    MinecrafterJPN
    Good
  14. loginphp
    Offline

    loginphp Active Member

    Joined:
    Sep 17, 2013
    Posts:
    75
    Minecraft User:
    loginphp
    Read the change log.

    Not implemented and known issues:
    Please do not report lacking features to the bug tracker, only report bugs on implemented features.

    • World generation is slower than in older builds
    • No entities except dropped items (and no spawning)
    • Entity AI
    • No liquid flow
    • No support for LevelDB worlds (0.9.0 format)
    • No conversion for old levels (will be added later)
    • No Minecarts
    • Not all items are implemented
    • Generated worlds use a basic generator
  15. vlad46
    Offline

    vlad46 New Member

    Joined:
    Mar 21, 2014
    Posts:
    12
    And old maps pocketmine 1.4 beta2 will then work with LevelDB?
  16. MrAsidert
    Offline

    MrAsidert New Member

    Joined:
    May 31, 2014
    Posts:
    35
    Minecraft User:
    MrAsidert
    Who make server on build3?
    Please, give servers IP
  17. Praxthisnovcht
    Offline

    Praxthisnovcht Notable Member Plugin Developer

    Joined:
    Mar 10, 2014
    Posts:
    702
    Plugins:
    4
    Minecraft User:
    PraxHellTag
    I'm on beta 3
    come see what happens.
    77111244113 19132
    under whitelist, your nickname?
  18. loginphp
    Offline

    loginphp Active Member

    Joined:
    Sep 17, 2013
    Posts:
    75
    Minecraft User:
    loginphp
    0Byte. See ya there. That's "Zero" Byte

    Edit: The way you posted your IP really rustled my jimmies, but now I see there's only one format for that IP. I'm sure it's 77.111.244.113, in case anyone Is wondering. It's not letting me connect either way though.

    [​IMG]
    Last edited: Aug 11, 2014
    Praxthisnovcht likes this.
  19. loginphp
    Offline

    loginphp Active Member

    Joined:
    Sep 17, 2013
    Posts:
    75
    Minecraft User:
    loginphp
    Lol @ Pork and Serving Beer! You're very interesting and your server IP is fun.

    You know, I think I'm starting to like you. ^_^


    Edit: I join your server and get disconnected immediately. o_O
    Last edited: Aug 11, 2014
  20. Praxthisnovcht
    Offline

    Praxthisnovcht Notable Member Plugin Developer

    Joined:
    Mar 10, 2014
    Posts:
    702
    Plugins:
    4
    Minecraft User:
    PraxHellTag

    not need a light bulb over your head to understand.

Share This Page

Advertisement